Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 489764 - >=net-fs/samba-4.0 automagically depends on dev-libs/libaio (libaio.so)
Summary: >=net-fs/samba-4.0 automagically depends on dev-libs/libaio (libaio.so)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: samba-4
  Show dependency tree
 
Reported: 2013-10-29 13:28 UTC by Lars Wendler (Polynomial-C)
Modified: 2014-07-11 13:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2013-10-29 13:28:00 UTC
$summary

Most likely an upstream issue. I filed this bug merely to keep track of any progress and to reference the dev-libs/libaio dependency I gonna add to our samba-4 ebuilds.
Comment 1 Chan Min Wai 2014-01-03 19:20:06 UTC
According to log on IRC chat

https://irclog.samba.org/2014/01/20140103-Fri.log 
or 
https://irclog.samba.org/lifefeed.log

This AIO disable not only dependent on --without-aio-support

But also kernel AIO Support.

samba source3/wscript 
''',
                        'HAVE_LINUX_KERNEL_AIO',
                        msg='Checking for linux kernel asynchronous io support',
                        headers='unistd.h stdlib.h sys/types.h fcntl.h sys/eventfd.h libaio.h',
                        lib='aio')

Samba developer question was why compile it on kernel but not support it.

Please advise.
Comment 2 Chan Min Wai 2014-01-10 21:12:59 UTC
upstream bug report

https://bugzilla.samba.org/show_bug.cgi?id=10370
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2014-07-11 13:08:03 UTC
+*samba-4.1.9 (11 Jul 2014)
+*samba-4.0.19 (11 Jul 2014)
+*samba-3.6.24 (11 Jul 2014)
+
+  11 Jul 2014; Lars Wendler <polynomial-c@gentoo.org> -samba-3.6.22.ebuild,
+  +samba-3.6.24.ebuild, -samba-4.0.17.ebuild, +samba-4.0.19.ebuild,
+  -samba-4.1.7.ebuild, +samba-4.1.9.ebuild,
+  +files/samba-4.0.19-automagic_aio_fix.patch:
+  Version bump. Removed old. Fixed automagic dependency on libaio (bug
+  #489764).
+